Bug 1295057 - Review Request: vdr-epgfixer - VDR plugin for doing extra fixing of EPG data
Review Request: vdr-epgfixer - VDR plugin for doing extra fixing of EPG data
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-01 08:48 EST by Ville Skyttä
Modified: 2016-01-15 18:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-15 18:24:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2016-01-01 08:48:05 EST
Spec URL: https://scop.fedorapeople.org/packages/vdr-epgfixer.spec
SRPM URL: https://scop.fedorapeople.org/packages/vdr-epgfixer-0.3.1-1.fc24.src.rpm
Description: VDR plugin for doing extra fixing of EPG data
Fedora Account System Username: scop
Comment 1 Antonio Trande 2016-01-05 11:28:17 EST
- g++ uses -O3 optimization level that is not default in Fedora.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later)", "Unknown or generated". 25
     files have unknown license. Detailed output of licensecheck in
     /home/sagitter/1295057-vdr-epgfixer/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in vdr-
     epgfixer-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[?]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

This is a known bug.

[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/sagitter/1295057-vdr-epgfixer/results/vdr-epgfixer-0.3.1-1.fc24.x86_64.rpm /home/sagitter/1295057-vdr-epgfixer/results/vdr-epgfixer-debuginfo-0.3.1-1.fc24.x86_64.rpm /home/sagitter/1295057-vdr-epgfixer/results/vdr-epgfixer-debuginfo-0.3.1-1.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/sagitter/1295057-vdr-epgfixer/results/vdr-epgfixer-0.3.1-1.fc24.x86_64.rpm /home/sagitter/1295057-vdr-epgfixer/results/vdr-epgfixer-debuginfo-0.3.1-1.fc24.x86_64.rpm /home/sagitter/1295057-vdr-epgfixer/results/vdr-epgfixer-debuginfo-0.3.1-1.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: vdr-epgfixer-0.3.1-1.fc24.x86_64.rpm
          vdr-epgfixer-debuginfo-0.3.1-1.fc24.x86_64.rpm
          vdr-epgfixer-0.3.1-1.fc24.src.rpm
vdr-epgfixer.x86_64: W: non-standard-uid /etc/vdr/plugins/epgfixer/regexp.conf vdr
vdr-epgfixer.x86_64: W: non-standard-uid /etc/vdr/plugins/epgfixer/charset.conf vdr
vdr-epgfixer.x86_64: W: non-standard-uid /etc/vdr/plugins/epgfixer vdr
vdr-epgfixer.x86_64: W: non-standard-uid /etc/vdr/plugins/epgfixer/blacklist.conf vdr
vdr-epgfixer.x86_64: W: non-standard-uid /etc/vdr/plugins/epgfixer/epgclone.conf vdr
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Requires
--------
vdr-epgfixer (rpmlib, GLIBC filtered):
    config(vdr-epgfixer)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpcre.so.1()(64bit)
    libpcreposix.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)
    vdr(abi)(x86-64)

vdr-epgfixer-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
vdr-epgfixer:
    config(vdr-epgfixer)
    vdr-epgfixer
    vdr-epgfixer(x86-64)

vdr-epgfixer-debuginfo:
    vdr-epgfixer-debuginfo
    vdr-epgfixer-debuginfo(x86-64)



Source checksums
----------------
https://projects.vdr-developer.org/attachments/download/1138/vdr-epgfixer-0.3.1.tgz :
  CHECKSUM(SHA256) this package     : 370821fa9b36204637da933b77787bd212d0297c4c11013037e6ac03dba38620
  CHECKSUM(SHA256) upstream package : 370821fa9b36204637da933b77787bd212d0297c4c11013037e6ac03dba38620


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1295057
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Ville Skyttä 2016-01-05 12:33:59 EST
Compiler flags come from vdr-devel, -O3 and the other non-standard/additional flags are intentional for VDR, and its plugins are also intentionally built with the same C(XX)FLAGS as VDR itself. More info is in the VDR specfile and build system if you're interested in the details.

I see "mock build failed" but I don't see any reason for it, and it doesn't fail for me. By "This is a known bug" do you mean that the bug is in the software you used to generate the review checklist or does this need something from me?
Comment 3 Antonio Trande 2016-01-05 12:39:13 EST
(In reply to Ville Skyttä from comment #2)
> Compiler flags come from vdr-devel, -O3 and the other
> non-standard/additional flags are intentional for VDR, and its plugins are
> also intentionally built with the same C(XX)FLAGS as VDR itself. More info
> is in the VDR specfile and build system if you're interested in the details.

Okay, you could leave a note in these cases.

> 
> I see "mock build failed" but I don't see any reason for it, and it doesn't
> fail for me. 

Doesn't for you? What fedora-review/mock release do you use?

> By "This is a known bug" do you mean that the bug is in the
> software you used to generate the review checklist or does this need
> something from me?

It's a bug of fedora-review or/and mock. I don't know yet.

Package approved.
Comment 4 Ville Skyttä 2016-01-05 15:11:32 EST
(In reply to Antonio Trande from comment #3)
> What fedora-review/mock release do you use?

I don't use fedora-review, and mock is current upstream git devel branch, but I think it's pretty much equivalent to 1.2.14 at the moment.

Thanks for the review!
Comment 5 Gwyn Ciesla 2016-01-06 08:28:15 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/vdr-epgfixer
Comment 6 Fedora Update System 2016-01-06 09:05:17 EST
vdr-epgfixer-0.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-be072845ec
Comment 7 Fedora Update System 2016-01-06 23:53:53 EST
vdr-epgfixer-0.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-be072845ec
Comment 8 Fedora Update System 2016-01-15 18:24:42 EST
vdr-epgfixer-0.3.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.